commit:     264405660334ab68ca8f53a41bcd8c2df1ff3387
Author:     jeffgazso <95921119+jeffgazso <AT> users <DOT> noreply <DOT> github 
<DOT> com>
AuthorDate: Tue Oct 11 00:32:36 2022 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Wed Oct 12 23:48:15 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=26440566

net-misc/electrum-ltc: add 4.2.2.1

Closes: https://github.com/gentoo/gentoo/pull/27731
Signed-off-by: Jeffery Gazso <jeff.gazso <AT> gmail.com>
Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>

 net-misc/electrum-ltc/Manifest                    |  1 +
 net-misc/electrum-ltc/electrum-ltc-4.2.2.1.ebuild | 91 +++++++++++++++++++++++
 2 files changed, 92 insertions(+)

diff --git a/net-misc/electrum-ltc/Manifest b/net-misc/electrum-ltc/Manifest
index 52912f963035..cdbb25b95e95 100644
--- a/net-misc/electrum-ltc/Manifest
+++ b/net-misc/electrum-ltc/Manifest
@@ -1 +1,2 @@
 DIST electrum-ltc-4.0.9.1.tar.gz 4464915 BLAKE2B 
2c328f9fc433f39b11aa2bfc4e397b75aadd07adc66576ae985c5b41b32d663df80bb67dafbbce210f3581f6fb43e666070d090bf189eb4907efd07d306fc945
 SHA512 
926ad16246d0609a787614b84cadfa893ed792ab2a54a3c0b9d707019e29874b1ae1c42dba098f34b61f915d85578809ff87dc9026c85563264a2d2b583c8823
+DIST electrum-ltc-4.2.2.1.tar.gz 5109859 BLAKE2B 
b3327f6bcf23b5caca6196e380e62f154a9f56a5b636a8d0cc49e08ed0ab5a05b4b1a81d9869b92125526339924ccb9b555a704eb7fa98bce59eac6088c7ebfe
 SHA512 
1ac44a29cd0db7de9570e339892ff42bd72abbe3eeb9f8106eda7be67dbb492cc830881d52f915ffde776892d461f9cff1b88a9ee20bf3c64139c407118e4eb9

diff --git a/net-misc/electrum-ltc/electrum-ltc-4.2.2.1.ebuild 
b/net-misc/electrum-ltc/electrum-ltc-4.2.2.1.ebuild
new file mode 100644
index 000000000000..a6a1b078e2ee
--- /dev/null
+++ b/net-misc/electrum-ltc/electrum-ltc-4.2.2.1.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_REQ_USE="ncurses?"
+
+inherit distutils-r1 xdg-utils desktop
+
+DESCRIPTION="User friendly Litecoin client"
+HOMEPAGE="https://electrum-ltc.org/";
+SRC_URI="https://github.com/pooler/electrum-ltc/archive/refs/tags/${PV}.tar.gz 
-> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="cli ncurses qrcode +qt5"
+REQUIRED_USE="|| ( cli ncurses qt5 )"
+
+RDEPEND="
+       ${PYTHON_DEPS}
+       dev-libs/libsecp256k1
+       dev-python/scrypt[${PYTHON_USEDEP}]
+       >=dev-python/aiohttp-socks-0.3[${PYTHON_USEDEP}]
+       =dev-python/aiorpcX-0.22*[${PYTHON_USEDEP}]
+       >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+       dev-python/bitstring[${PYTHON_USEDEP}]
+       dev-python/cryptography[${PYTHON_USEDEP}]
+       >=dev-python/dnspython-2[${PYTHON_USEDEP}]
+       dev-python/pbkdf2[${PYTHON_USEDEP}]
+       dev-python/PySocks[${PYTHON_USEDEP}]
+       dev-python/qrcode[${PYTHON_USEDEP}]
+       dev-python/requests[${PYTHON_USEDEP}]
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+       >=dev-python/protobuf-python-3.12[${PYTHON_USEDEP}]
+       qrcode? ( media-gfx/zbar[v4l] )
+       qt5? (
+               dev-python/PyQt5[gui,widgets,${PYTHON_USEDEP}]
+       )
+       ncurses? ( $(python_gen_impl_dep 'ncurses') )
+"
+BDEPEND="
+       test? (
+               dev-python/pyaes[${PYTHON_USEDEP}]
+               dev-python/pycryptodome[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       # use backwards-compatible cryptodome API
+       sed -i -e 's:Cryptodome:Crypto:' electrum_ltc/crypto.py || die
+
+       # make qdarkstyle dep optional
+       sed -i -e '/qdarkstyle/d' contrib/requirements/requirements.txt || die
+
+       local bestgui
+       if use qt5; then
+               bestgui=qt
+       elif use ncurses; then
+               bestgui=text
+       else
+               bestgui=stdio
+       fi
+
+       eapply_user
+
+       xdg_environment_reset
+       distutils-r1_src_prepare
+}
+
+src_install() {
+       dodoc RELEASE-NOTES
+       distutils-r1_src_install
+       domenu electrum-ltc.desktop
+       doicon electrum_ltc/gui/icons/electrum-ltc.png
+}
+
+pkg_postinst() {
+       xdg_icon_cache_update
+       xdg_desktop_database_update
+}
+
+pkg_postrm() {
+       xdg_icon_cache_update
+       xdg_desktop_database_update
+}

Reply via email to